VisualEditor: [Regression] On init, page is scrolled to the bottom but cursor remains at the top in Firefox
Closed, ResolvedPublic

Description

Author: Wikifram

Description:
Have you ''really'' implemented a new version at MediaWiki that scrolls to the ''bottom'' of the page when opened in VE? Was this intentional or (if I'm allowed to say this) just something that should have been obvious with the most basic test, but somehow wasn't noticed? FF25, W7, nothing fancy or unusual. And no, this didn't happen in earlier versions, and doesn't happen when I use VE on enwiki...


Version: unspecified
Severity: major

bzimport created this task.Via LegacyDec 6 2013, 8:53 AM
bzimport added a comment.Via ConduitDec 6 2013, 8:56 AM

Wikifram wrote:

Note that the ''cursor'' is at the top, but the part of the page you view (if the page is longer than the screen) is the bottom, so your cursor isn't even visible when you start typing... If it had been intentional, I suppose that the cursor would have been at the bottom as well (still useless, but at least consistent).

Aklapper added a comment.Via ConduitDec 6 2013, 12:53 PM

Confirming with Firefox 25 on Fedora 20 on mediawiki.org.

gerritbot added a comment.Via ConduitDec 6 2013, 8:23 PM

Change 99718 had a related patch set uploaded by Krinkle:
mw.Target: Fix document focus scroll bug

https://gerrit.wikimedia.org/r/99718

gerritbot added a comment.Via ConduitDec 6 2013, 9:40 PM

Change 99718 merged by jenkins-bot:
mw.Target: Fix document focus scroll bug

https://gerrit.wikimedia.org/r/99718

gerritbot added a comment.Via ConduitDec 7 2013, 12:25 AM

Change 99785 had a related patch set uploaded by Jforrester:
mw.Target: Fix document focus scroll bug

https://gerrit.wikimedia.org/r/99785

gerritbot added a comment.Via ConduitDec 9 2013, 11:50 PM

Change 99785 merged by jenkins-bot:
mw.Target: Fix document focus scroll bug

https://gerrit.wikimedia.org/r/99785

Jdforrester-WMF added a comment.Via ConduitDec 9 2013, 11:55 PM

A fix for this is going out in about 4 minutes' time. Sorry for the disruption.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.